Orxonox: TiXmlVisitor Class Reference

# TiXmlVisitor Class Reference

`#include <src/tinyxml/tinyxml.h>`

Inheritance diagram for TiXmlVisitor:

List of all members.

## Public Member Functions

virtual bool | Visit (const TiXmlUnknown &)
| Visit an unknow node.
virtual bool | Visit (const TiXmlComment &)
| Visit a comment node.
virtual bool | Visit (const TiXmlText &)
| Visit a text node.
virtual bool | Visit (const TiXmlStylesheetReference &)
| Visit a stylesheet reference.
virtual bool | Visit (const TiXmlDeclaration &)
| Visit a declaration.
virtual bool | VisitEnter (const TiXmlElement &, const TiXmlAttribute *)
| Visit an element.
virtual bool | VisitEnter (const TiXmlDocument &)
| Visit a document.
virtual bool | VisitExit (const TiXmlElement &)
| Visit an element.
virtual bool | VisitExit (const TiXmlDocument &)
| Visit a document.
virtual | ~TiXmlVisitor ()

## Detailed Description

If you call the Accept() method, it requires being passed a TiXmlVisitor class to handle callbacks. For nodes that contain other nodes (Document, Element) you will get called with a VisitEnter/VisitExit pair. Nodes that are always leaves are simple called with Visit().

If you return 'true' from a Visit method, recursive parsing will continue. If you return false, no children of this node or its sibilings will be Visited.

All flavors of Visit methods have a default implementation that returns 'true' (continue visiting). You need to only override methods that are interesting to you.

Generally Accept() is called on the TiXmlDocument, although all nodes suppert Visiting.

You should never change the document from a callback.

See also:
  TiXmlNode::Accept()

## Constructor & Destructor Documentation

virtual TiXmlVisitor::~TiXmlVisitor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool TiXmlVisitor::Visit | ( | const TiXmlUnknown & |  | ) | `[inline, virtual]`

Visit an unknow node.

Reimplemented in TiXmlPrinter.

virtual bool TiXmlVisitor::Visit | ( | const TiXmlComment & |  | ) | `[inline, virtual]`

Visit a comment node.

Reimplemented in TiXmlPrinter.

virtual bool TiXmlVisitor::Visit | ( | const TiXmlText & |  | ) | `[inline, virtual]`

Visit a text node.

Reimplemented in TiXmlPrinter.

virtual bool TiXmlVisitor::Visit | ( | const TiXmlStylesheetReference & |  | ) | `[inline, virtual]`

Visit a stylesheet reference.

virtual bool TiXmlVisitor::Visit | ( | const TiXmlDeclaration & |  | ) | `[inline, virtual]`

Visit a declaration.

Reimplemented in TiXmlPrinter.

Referenced by TiXmlUnknown::Accept(), TiXmlStylesheetReference::Accept(), TiXmlDeclaration::Accept(), TiXmlText::Accept(), and TiXmlComment::Accept().

virtual bool TiXmlVisitor::VisitEnter | ( | const TiXmlElement & | ,
|  | const TiXmlAttribute * |  |
| ) |  |  | `[inline, virtual]`

Visit an element.

Reimplemented in TiXmlPrinter.

virtual bool TiXmlVisitor::VisitEnter | ( | const TiXmlDocument & |  | ) | `[inline, virtual]`

Visit a document.

Reimplemented in TiXmlPrinter.

Referenced by TiXmlDocument::Accept(), and TiXmlElement::Accept().

virtual bool TiXmlVisitor::VisitExit | ( | const TiXmlElement & |  | ) | `[inline, virtual]`

Visit an element.

Reimplemented in TiXmlPrinter.

virtual bool TiXmlVisitor::VisitExit | ( | const TiXmlDocument & |  | ) | `[inline, virtual]`

Visit a document.

Reimplemented in TiXmlPrinter.

Referenced by TiXmlDocument::Accept(), and TiXmlElement::Accept().

The documentation for this class was generated from the following file:

- src/tinyxml/tinyxml.h